# This is a yum.conf for Fedora Core.
# It uses Fedora mirrors to make things faster,
# since the main Red Hat Fedora site is pretty slow.
#
# Also, if you look down in the "Alternate Repositories"
# section, you'll notice some commented-out repositories.
# If you want to use them, uncomment them.
#
# Authors: 
#   Maxwell Kanat-Alexander (max at fedorafaq dot org)
#   Sindre Pedersn Bjørdal (foolish at fedorafaq dot org)
#
# Date: 04 November 2004
#
# Changes
# -------
# 04 November 2004
#   + Fixed and checked-over for publishing
# 17 July 2004 (Sindre)
#   + Replaced Base, debug, updates-released and updates mirrors with faster ones. 
#   + Added the official servers to base and updates, commented of course. 
#   + Tested all non-commented parts, everything works. 
# 29 May 2004
#   + Tested commented-out parts: all work except subpop.net
#   + Livna and NewRPMs mirrors!
# 22 May 2004
#   + Incorporated Darrenn's fixes for Fedora Core 2!
#   + Commented-out parts may still not work properly
# 29 Feb 2004
#   + Updated a lot of mirrors, for speed
#   + Fixed one ATrpms mirror
#   + Added Dries and spc, two more FreshRPMs-compatible repos
# 9 Jan 2004
#   + Updated ATrpms for their new directory structure.
# 31 Dec 2003
#   + Added JPackage, commented out
#   + Standard Red Hat Fedora Core sites commented-out by default
#   + Removed dulug from debug, since it doesn't have debug
# 29 Dec 2003
#   + Added mirrors for the flash-plugin, since some go down.
#   + Added base-debuginfo, commented out

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=fedora-release
tolerant=1
exactarch=0
# Added this because some mirrors go down and then retying takes forever.
retries=1

##################
## Basic Fedora ##
##################

[base]
name=Fedora Core $releasever - $basearch - Base
baseurl=http://gulus.usherbrooke.ca/pub/distro/fedora/linux/core/$releasever/$basearch/os
  http://mirror.clarkson.edu/pub/distributions/fedora/linux/core/$releasever/$basearch/os
  http://www.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/core/$releasever/$basearch/os
#  http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/os/
#gpgcheck=1

#[base-debuginfo]
#name=Fedora Core $releasever - $basearch - Debug Info
#baseurl=http://gulus.usherbrooke.ca/pub/distro/fedora/linux/core/$releasever/$basearch/debug
#  http://mirror.clarkson.edu/pub/distributions/fedora/linux/core/$releasever/$basearch/debug
#  http://www.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/core/$releasever/$basearch/debug
##  http://download.fedora.redhat.com/pub/fedora/linux/core/$releasever/$basearch/debug
##gpgcheck=1

[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
baseurl=http://mirror.clarkson.edu/pub/distributions/fedora/linux/core/updates/$releasever/$basearch
  http://www.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/core/updates/$releasever/$basearch
  http://gulus.usherbrooke.ca/pub/distro/fedora/linux/core/updates/$releasever/$basearch
#  http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch
#gpgcheck=1

#[updates-testing]
#name=Fedora Core $releasever - $basearch - Unreleased Updates
#baseurl=http://mirror.clarkson.edu/pub/distributions/fedora/linux/core/updates/testing/$releasever/$basearch
#  http://www.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/core/updates/testing/$releasever/$basearch
#  http://gulus.usherbrooke.ca/pub/distro/fedora/linux/core/updates/testing/$releasever/$basearch
##  http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/$releasever/$basearch
##gpgcheck=1

###################
## Fedora Extras ##
###################

[fedora-stable]
name=Fedora.us Extras (Stable)
baseurl=http://fedora.quicknet.nl/fedora/fedora/$releasever/$basearch/RPMS.stable
  http://mirrors.usc.edu/pub/linux/fedora/fedora/fedora/$releasever/$basearch/RPMS.stable
  http://fedora.mirror.sdv.fr/fedora/fedora/$releasever/$basearch/RPMS.stable
  http://download.fedora.us/fedora/fedora/$releasever/$basearch/RPMS.stable
#gpgcheck=1

[fedora-unstable]
name=Fedora.us Extras (Unstable)
baseurl=http://mirrors.usc.edu/pub/linux/fedora/fedora/fedora/$releasever/$basearch/RPMS.unstable
  http://fedora.mirror.sdv.fr/fedora/fedora/$releasever/$basearch/RPMS.unstable
  http://fedora.quicknet.nl/fedora/fedora/$releasever/$basearch/RPMS.unstable
  http://mirrors.kernel.org/fedora.us/fedora/fedora/$releasever/$basearch/RPMS.unstable
  http://download.fedora.us/fedora/fedora/$releasever/$basearch/RPMS.unstable
#gpgcheck=1

[fedora-testing]
name=Fedora.us Extras (Testing)
baseurl=http://download.fedora.us/fedora/fedora/$releasever/$basearch/RPMS.testing
  http://fedora.quicknet.nl/fedora/fedora/$releasever/$basearch/RPMS.testing
  http://fedora.mirror.sdv.fr/fedora/fedora/$releasever/$basearch/RPMS.testing
  http://mirrors.kernel.org/fedora.us/fedora/fedora/$releasever/$basearch/RPMS.testing
  http://mirrors.usc.edu/pub/linux/fedora/fedora/fedora/$releasever/$basearch/RPMS.testing
#gpgcheck=1

###############
## Livna.org ##
###############

[livna-stable]
name=Livna.org - Fedora Compatible Packages (stable)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/yum/stable
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/yum/stable
#gpgcheck=1

[livna-unstable]
name=Livna.org - Fedora Compatible Packages (unstable)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/yum/unstable
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/yum/unstable
#gpgcheck=1

[livna-testing]
name=Livna.org - Fedora Compatible Packages (testing)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/yum/testing
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/yum/testing
#gpgcheck=1


############
# Jpackage #
############

# JPackage is a GREAT repository for Java Software.
# However, you may have to compile some SRPMs to use it,
# so it's commented out by default. See 
# <http://prdownloads.sourceforge.net/jpackage/direct_download/1.5/generic/SRPMS.non-free> 
# For the SRPMs, and <http://www.jpackage.org> for the general details.
#
# Note: JPackage IS compatible with the fedora.us repositories.
# You can use JPackage and fedora.us at the same time, without 
# any trouble.

#[jpackage-generic]
#name=JPackage Cross-Platform Packages
#baseurl=http://aleron.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/generic/free
#  http://heanet.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/generic/free
#  http://umn.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/generic/free
#failovermethod=priority
##gpgcheck=1

#[jpackage-fedora]
#name=JPackage Fedora Packages
#baseurl=http://aleron.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/fedora-$releasever/free
#  http://heanet.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/fedora-$releasever/free
#  http://umn.dl.sourceforge.net/sourceforge/jpackage/direct_download/1.5/fedora-$releasever/free
#failovermethod=priority
##gpgcheck=1


############################
## Alternate Repositories ##
############################

# Uncomment these to use them -- note that some packages
# from these repositories may conflict with the fedora.us
# packages. If you use these repositories, you may wish to 
# comment-out the fedora.us and livna.org repositories.

#[freshrpms]
#name=FreshRPMs
#baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/freshrpms
#  http://ftp.us2.freshrpms.net/linux/freshrpms/ayo/fedora/linux/$releasever/$basearch/freshrpms
##gpgcheck=1

#[dag]
#name=Dag APT Repository
#baseurl=http://dag.freshrpms.net/fedora/$releasever/en/$basearch/dag
#  http://dag.atrpms.net/fedora/$releasever/en/$basearch/dag/
#  http://ftp.heanet.ie/pub/freshrpms/pub/dag/fedora/$releasever/en/$basearch/dag
##gpgcheck=1

#[dries]
#name=Dries APT/YUM Repository
#baseurl=http://dries.studentenweb.org/yum/fedora/linux/$releasever/$basearch/dries
##gpgcheck=1

#[spc-production]
#name=Subpop.net (Production)
#baseurl=http://rpms.subpop.net/fedora/linux/$releasever/$basearch/production
##gpgcheck=1

#[newrpms]
#name=NewRPMs
#baseurl=http://newrpms.sunsite.dk/apt/redhat/en/$basearch/fc$releasever
#  http://newrpms.atrpms.net/apt/redhat/en/$basearch/fc$releasever
#gpgcheck=1

#[atrpms-stable]
#name=ATrpms - Stable (Most Stable)
#baseurl=http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-stable
#  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-stable
#  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-stable
##gpgcheck=1

#[atrpms-good]
#name=ATrpms - Good (2nd Most Stable)
#baseurl=http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-good
#  http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-good
#  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-good
##gpgcheck=1

#[atrpms-testing]
#name=ATrpms - Testing (3rd Most Stable)
#baseurl=http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-testing
#  http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-testing
#  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-testing
##gpgcheck=1

#[atrpms-bleeding]
#name=ATrpms - Bleeding (Least Stable)
#baseurl=http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-bleeding
#  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-bleeding
#  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-bleeding
##gpgcheck=1

###################
## Miscellaneous ##
###################

# Semi-official Macromedia repository containing the flash-plugin rpm.
[macromedia.mplug.org]
name=macromedia.mplug.org - Flash Plugin
baseurl=http://macromedia.mplug.org/apt/fedora/$releasever
  http://sluglug.ucsc.edu/macromedia/apt/fedora/$releasever
  http://ruslug.rutgers.edu/macromedia/apt/fedora/$releasever
  http://macromedia.rediris.es/apt/fedora/$releasever
#gpgcheck=1
